curl --request GET \
--url https://api.syntage.com/entities/{entityId}/invoices \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/invoices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/invoices")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/Invoice",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/invoices",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"type": "I",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"resourceType": "invoice",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}List an entity's invoices
List invoices extracted for an entity.
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/invoices \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/invoices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/invoices")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/Invoice",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/invoices",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"type": "I",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"resourceType": "invoice",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by type (exact match) Invoice type code from the c_TipoDeComprobante catalog
I, E, P, N, T Filter by usage (exact match) Invoice usage code from the c_UsoCFDI catalog
G01, G02, G03, I01, I02, I03, I04, I05, I06, I07, I08, D01, D02, D03, D04, D05, D06, D07, D08, D09, D10, S01, P01, CP01, CN01, null "G03"
Filter by payment type (exact match) Payment type code from the c_MetodoPago catalog
PUE, PPD, null "PUE"
Filter by payment method (exact match) Payment method code from the c_FormaPago catalog
01, 02, 03, 04, 05, 06, 08, 12, 13, 14, 15, 17, 23, 24, 25, 26, 27, 28, 29, 30, 31, 99, null "04"
Filter by issuer tax regime (partial match) Tax regime code from the c_RegimenFiscal catalog
601, 603, 605, 606, 607, 608, 609, 610, 611, 612, 614, 615, 616, 620, 621, 622, 623, 624, 625, 626, 628, 629, 630, null 601
Filter by invoices that have the CFDI available in XML format
true when the CFDI is available in the XML format. The file can be downloaded through the retrieve an invoice CFDI operation
Filter by invoices that have the CFDI available in PDF format
true when the CFDI is available in the PDF format. The file can be downloaded through the retrieve an invoice CFDI operation
Response
Taxpayer invoice collection response
Was this page helpful?